View Issue Details

IDProjectCategoryView StatusLast Update
0000633bareos-core[All Projects] directorpublic2016-10-13 11:55
ReportermvwieringenAssigned Tomvwieringen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformSolaris11OSSolarisOS Version11
Product Version15.2.3 
Target VersionFixed in Version 
Summary0000633: Interactive run doesn't update pool on level change.
DescriptionWhen you change the level of a backup and you have specific pools defined
for Full, Differential, Incremental defined in the Job you would expect that
the Pool used for the Job gets update to point to the defined Pool.
Additional InformationIn interactive mode when changing the level we correctly call
apply_pool_overrides() which sets the new pool right but then we
call reset_restore_context() which sets the pool back to rc.pool
(e.g. restore context pool definition which still points to the original
 pool defined in the Job resource.)
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionfixed
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impactyes
bareos-13.2: actionwill care
bareos-12.4: impactyes
bareos-12.4: actionwill care

Relationships

child of 0000641 closedmaik Release bareos-15.2.4 
child of 0000584 closedjoergs Release bareos-14.2.7 

Activities

pstorz

pstorz

2016-04-01 17:44

administrator   ~0002226

Fix committed to bareos master branch with changesetid 6175.
mvwieringen

mvwieringen

2016-07-08 14:34

developer   ~0002313

Fix committed to bareos bareos-14.2 branch with changesetid 6421.
maik

maik

2016-10-13 11:55

administrator   ~0002386

Closed, release done

Related Changesets

bareos: master b39591ee

2016-03-21 14:07:26

mvwieringen


Committer: pstorz

Ported: N/A

Details Diff
dird: Interactive run doesn't update pool on level change.

In interactive mode when changing the level we correctly call
apply_pool_overrides() which sets the new pool right but then we
call reset_restore_context() which sets the pool back to rc.pool
(e.g. restore context pool definition which still points to the original
pool defined in the Job resource.)

This patch updates the rc.pool to point to the pool which was set by
the call to apply_pool_overrides() and set a variable in the restore
context which keeps track that we got a level override so we don't
overwrite the pool_source which is also set by apply_pool_overrides()
in reset_restore_context().

When we get a real pool override via the mod pool option we reset this
level override flag so we set the right pool_source in
reset_restore_context() again.

Fixes 0000633: Interactive run doesn't update pool on level change.
Affected Issues
0000633
mod - src/dird/ua.h Diff File
mod - src/dird/ua_run.c Diff File

bareos: bareos-14.2 1b085aed

2016-03-21 14:07:26

mvwieringen

Ported: N/A

Details Diff
dird: Interactive run doesn't update pool on level change.

In interactive mode when changing the level we correctly call
apply_pool_overrides() which sets the new pool right but then we
call reset_restore_context() which sets the pool back to rc.pool
(e.g. restore context pool definition which still points to the original
pool defined in the Job resource.)

This patch updates the rc.pool to point to the pool which was set by
the call to apply_pool_overrides() and set a variable in the restore
context which keeps track that we got a level override so we don't
overwrite the pool_source which is also set by apply_pool_overrides()
in reset_restore_context().

When we get a real pool override via the mod pool option we reset this
level override flag so we set the right pool_source in
reset_restore_context() again.

Fixes 0000633: Interactive run doesn't update pool on level change.
Affected Issues
0000633
mod - src/dird/ua.h Diff File
mod - src/dird/ua_run.c Diff File

Issue History

Date Modified Username Field Change
2016-03-21 14:06 mvwieringen New Issue
2016-03-21 14:06 mvwieringen Status new => assigned
2016-03-21 14:06 mvwieringen Assigned To => mvwieringen
2016-03-21 14:16 mvwieringen bareos-master: impact => yes
2016-03-21 14:16 mvwieringen bareos-master: action => will care
2016-03-21 14:16 mvwieringen bareos-15.2: impact => yes
2016-03-21 14:16 mvwieringen bareos-15.2: action => will care
2016-03-21 14:16 mvwieringen bareos-14.2: impact => yes
2016-03-21 14:16 mvwieringen bareos-14.2: action => will care
2016-03-21 14:16 mvwieringen bareos-13.2: impact => yes
2016-03-21 14:16 mvwieringen bareos-13.2: action => will care
2016-03-21 14:16 mvwieringen bareos-12.4: impact => yes
2016-03-21 14:16 mvwieringen bareos-12.4: action => will care
2016-04-01 17:44 pstorz Changeset attached => bareos master b39591ee
2016-04-01 17:44 pstorz Note Added: 0002226
2016-04-01 17:44 pstorz Status assigned => resolved
2016-04-01 17:44 pstorz Resolution open => fixed
2016-06-14 11:28 maik Relationship added child of 0000641
2016-07-05 11:39 joergs Relationship added child of 0000584
2016-07-05 11:40 joergs bareos-master: action will care => fixed
2016-07-05 11:40 joergs bareos-15.2: action will care => fixed
2016-07-05 13:35 joergs bareos-14.2: action will care => fixed
2016-07-08 14:34 mvwieringen Changeset attached => bareos bareos-14.2 1b085aed
2016-07-08 14:34 mvwieringen Note Added: 0002313
2016-10-13 11:55 maik Note Added: 0002386
2016-10-13 11:55 maik Status resolved => closed